#
# bootcdwrite.conf
#
# look for man bootcdwrite.conf(5) for more informations
#

# this path was added as prefix to KERNEL, INITRD, DISABLE_CRON, NOT_TO_CD
# and NOT_TO_RAM, if this are relativ paths (without starting "/")
SRCDISK=/

# Define the kernel which is used
KERNEL=vmlinuz

# additional options for the kernel
APPEND=""

# path to initrd
INITRD="initrd.img"

# define multiple kernels with KERNEL<number> and label KLABEL<number>
# default label is "linux<number>
# KLABEL1=686-3
# KERNEL1=/boot/vmlinuz-2.6.18-3-686-bigmem
# INITRD1=/boot/initrd.img-2.6.18-3-686-bigmem
# APPEND1=

# Text to Display at Boottime (see syslinux doku)
# This option is not supported for hppa
# display info files on boot prompt (F1 = DISPLAY, F2 = DISPLAY2 ...)
# (kernelinfo is replaced with a file which includes the kernelinfo)
DISPLAY="/usr/share/bootcd/default.txt"
DISPLAY2="kernelinfo"

# size of each ramdisk ram1 and ram2 (ram1: /dev /etc /home /root /tmp, 
# (ram2: /var)
RAMDISK_SIZE=16384

# typ is CD or DVD
TYP=DVD

# specify one or more CD devices to boot from, first is default
# "auto" try to find the bootcd on all SCSI and IDE CDROMS
CDDEV="auto /dev/hda /dev/hdb /dev/hdc /dev/hdd /dev/sr0 /dev/sr1"


# do some checks or not
DO_CHECK=yes

# exclude some files or directories from writing to cd 
NOT_TO_CD=""

# exclude some files or directories from loading to ram
# Because most people's home and root dir are to large to include 
# in RAM, subdirectories can be excluded:
NOT_TO_RAM="$(find $SRCDISK/home $SRCDISK/root -maxdepth 1 -mindepth 1 -type d)"

# If you are using ssh it is helpful to have a unique ssh hostkey for
# each CD.
SSHHOSTKEY=yes

# If you are using udev filesystem and install the image only on other 
# machines you need to set this to "yes" because the network interfaces are 
# hardwired in /etc/udev/rules.d/z25_persistent-net.rules (etch) or in 
# /etc/udev/rules.d/70-persistent-net.rules (lenny) and we must remove 
# them. You can do this also on bootcd2disk.
UDEV_FIXNET="yes"

# logfile
ERRLOG=/var/log/bootcdwrite.log

# where the image resists after build
VAR=/var/spool/bootcd 

# FLOPPY_RUNTIME_DEV=<floppy device>|""
# When you boot from cd you read changes from this device.
FLOPPY_RUNTIME_DEV=/dev/fd0

# BOOTFLOPPY=yes|no
# If you want to boot from FLOPPY specify BOOTFLOPPY=yes. This reduces
# space on floppy used by bootcdflopcp. For this to work FLOPPY_CREATE_DEV
# has to be specified.
# For hppa this option is not supported and must be set to no.
# Default:
#   BOOTFLOPPY=no
BOOTFLOPPY=no

# If you want to boot several machines from the same cdrom, you must have
# the individual configuartion (exp: /etc/network/interfaces) on floppy.
# If one can not be mounted it is a good idea to stop booting and to wait
# for manual interaction instead of comming up with a wrong configuration.
BOOT_ONLY_WITH_FLOPPY=no

# delete some chached files in /var
CLEAN_VAR=yes

# If FASTBOOT=yes then additional images for the ramdisk will be created 
# by bootcdwrite and copied to CD. This allows faster booting,
# but needs extra space on CD
FASTBOOT=yes

# use isolinux (yes,no,auto), auto check for isolinux and use it
ISOLINUX=auto

# use -s (save, slow, stupid) option on syslinux
SYSLINUX_SAVE=yes

# choose the architecture
# ARCH=auto|hppa|i386|ia64
ARCH=auto

# use devfs or not
DEVFS=no


# addiditionel entries to fstab
# TO_FSTAB="/dev/hdc1 /home ext3 defaults 1 1
# /dev/usb0 /mnt/usb ext3 defaults 1 1 "
TO_FSTAB=""

# transparent compression of ISO 9660/Rock Ridge filessytem
# ("auto" checks for space to compress the image on the local system)
# COMPRESS=<yes|no|auto>
COMPRESS="auto"

# Files or Directory-Trees that should never be compressed on CD can be listed
# here. You have to define the Path as it is on the CD, (with /var.ro 
# instead of /var)
NOTCOMPRESSED=""

# Files listed in DISABLE_CRON will be on the cdrom with a .no_run_on_bootcd
# suffix so run-parts won't execute them. The original file will be a link to
# /bin/true.
#
DISABLE_CRON="etc/cron.daily/find etc/cron.daily/standard etc/cron.daily/security"

# With this variable you can add or delete some options 
# given to mkisofs by bootcdwrite. 
#   Please create debian-bugreports if you have to use special 
#   options, not mentioned here. Then I can list this options here.
#
MKISOFS_CHNG=""

# function extra_changes()
# It is possible to define a function called extra_changes to have some
# files modified on the ISO image. Here is an example:
#
#   function extra_changes() {
#     echo "noname" >$VAR/changes/etc.ro/hostname
#
#     mkdir -p $VAR/changes/etc.ro/network
#     ( echo "auto lo"
#       echo "iface lo inet loopback"
#       echo ""
#       echo "auto eth0"
#       echo "iface eth0 inet static"
#       echo "       address 0.0.0.0"
#       echo "       netmask 255.255.255.0"
#     ) >$VAR/changes/etc.ro/network/interfaces
#
#     echo "127.0.0.1 localhost noname" >$VAR/changes/etc.ro/hosts
#
#     cat $SRCDISK/etc/passwd |
#     grep -v -e "^bs:" -e "^bianca:" -e "^tim:" >$VAR/changes/etc.ro/passwd
#
#     cat $SRCDISK/etc/shadow |
#     grep -v -e "^bs:" -e "^bianca:" -e "^tim:" >$VAR/changes/etc.ro/shadow
#
#     cat $SRCDISK/etc/group | 
#     grep -v -e "^bs:" -e "^bianca:" -e "^tim:" >$VAR/changes/etc.ro/group
#   }
#
#

# BOOTCDMODPROBE=standard|bootcd|auto
# If booted from initrd bootcd has to load the necessary modules. 
# If only modules provided by initramfs-tools are needed you can 
# specify "standard" here. If bootcd should try extra hard to load 
# neccessary modules you can specify "bootcd" here. 
# Bootcd will use discover for this purpose. So discover has to be installed.
# If you specify auto, bootcd will check if discover is installed. 
# If it is installed # BOOTCDMODPROBE=bootcd will be set, if not 
# BOOTCDMODPROBE=standard will be set.
# Be aware that people have reported, that sometimes BOOTCDMODPROBE=bootcd 
# may not work but sometimes it is needed.
BOOTCDMODPROBE=standard

